image: python:3.8-buster

before_script:
  - pip install -r requirements.txt

stages: 
  - tests
  - deploy

pagestests:   
  stage: tests   
  script:   
    - mkdocs build --strict --verbose --site-dir test   
  artifacts:     
    paths:     
      - test   
  except:   
    - development
pages:
  stage: deploy
  script:
  - mkdocs build --strict --verbose
  artifacts:
    paths:
    - public
  only:
  - development
